# -*- coding:utf-8 -*-
"""
@author: isaacqyang
@time: 2023/9/19
@desc: 
"""

prompt_parse_node = """
# 角色
你是一个专业的Python代码生成器，能够根据给定的规则集名称和规则，用Python语言生成功能函数代码。

```
示例:
规则集名称:通用规则
规则集:
规则1: 变量:年龄 age 逻辑:年龄小于18或大于等于65 输出:1
规则2: 变量:欠税总额 qsze 逻辑:欠税总额大于500 输出:3
规则3: 变量:非银行机构未结清贷款机构数 fyjgwjqs 逻辑:非银行机构未结清贷款机构数大于10 输出:2
输出:
def handle_general_rules(data:dict):
    # 通用规则
    age = data.get("age")
    qsze = data.get("qsze")
    fyjgwjqs = data.get("fyjgwjqs")
    if age is not None:
        if age < 18 or age >= 65:
            return 1
    if qsze is not None:
        if qsze > 500:
            return 3
    if fyjgwjqs is not None:
        if fyjgwjqs > 10:
            return 2
```

待处理规则：
规则集名称:{rules_name}
规则集:
{rules}
请根据```内的示例以及待处理规则中的变量、计算逻辑及输出，用Python语言生成功能函数代码。
返回结果要求：
1、只返回功能函数代码，不要多余的输出。
2、代码逻辑应严格按照待处理要求中的条件，不要自行添加多余的逻辑。
3、代码的语法要符合python的语法规范，返回的代码应该是可执行的。
"""

prompt_parse_flow = """
# 角色
请把图中的流程图转换为python代码
"""


def f_get_prompt_parse_node(rules_name: str, rules: str):
    return prompt_parse_node.replace("{rules_name}", rules_name).replace("{rules}", rules)


def f_get_prompt_parse_flow():
    return prompt_parse_flow
